package org.maachang.comet.httpd.engine.script;

/**
 * スクリプトエラーを示す位置を保存するオブジェクト.
 * 
 * @version 2008/08/15
 * @author masahito suzuki
 * @since MaachangComet 1.24
 */
class ErrorScriptLine {
    private String name = null ;
    private int line = -1 ;
    /**
     * line を取得.
     * <BR><BR>
     * @return line が返されます.
     */
    public int getLine() {
        return line;
    }
    /**
     * line を設定.
     * <BR><BR>
     * @param line line を設定します.
     */
    public void setLine(int line) {
        this.line = line;
    }
    /**
     * name を取得.
     * <BR><BR>
     * @return name が返されます.
     */
    public String getName() {
        return name;
    }
    /**
     * name を設定.
     * <BR><BR>
     * @param name name を設定します.
     */
    public void setName(String name) {
        this.name = name;
    }
    
}
